#
# Conditional build:
%bcond_with	apidocs	# API docs packaging   # Docs gone since 2.0.1 ?
%bcond_without	tests	# unit tests
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

%define 	module	paramiko
Summary:	SSH2 protocol for Python 2
Summary(pl.UTF-8):	Obsługa protokołu SSH2 w Pythonie 2
Name:		python-%{module}
Version:	2.0.1
Release:	3
License:	LGPL v2.1+
Group:		Libraries/Python
#Source0Download: https://pypi.python.org/simple/paramiko/

Source0:	https://github.com/paramiko/paramiko/archive/%{version}.tar.gz
# Source0-md5:	24ee7e64682c2368176607fa23c39a5e
URL:		https://github.com/paramiko/paramiko/
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.710
%if %{with python2}
BuildRequires:	python-cryptography >= 1.1
BuildRequires:	python-devel >= 1:2.6
BuildRequires:	python-pyasn1 >= 0.1.7

%endif
%if %{with python3}
BuildRequires:	python3-cryptography >= 1.1
BuildRequires:	python3-devel >= 1:3.2
BuildRequires:	python3-pyasn1 >= 0.1.7

%endif
Requires:	python-cryptography >= 1.1
Requires:	python-modules >= 1:2.6
Requires:	python-pyasn1 >= 0.1.7

BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A module for Python 2.6 (or higher) that implements the SSH2 protocol
for secure (encrypted and authenticated) connections to remote
machines.

%description -l pl.UTF-8
Moduł dla języka Python 2.6 (lub wyższego) implementujący protokół
SSH2 dla uzyskania bezpiecznych (szyfrowanych i autoryzowanych)
połączeń ze zdalnymi maszynami.

%package -n python3-%{module}
Summary:	SSH2 protocol for Python 3
Summary(pl.UTF-8):	Obsługa protokołu SSH2 w Pythonie 3
Group:		Libraries/Python
Requires:	python3-cryptography >= 1.1
Requires:	python3-modules >= 1:3.2
Requires:	python3-pyasn1 >= 0.1.7

%description -n python3-%{module}
A module for Python 3.2 (or higher) that implements the SSH2 protocol
for secure (encrypted and authenticated) connections to remote
machines.

%description -n python3-%{module} -l pl.UTF-8
Moduł dla języka Python 3.2 (lub wyższego) implementujący protokół
SSH2 dla uzyskania bezpiecznych (szyfrowanych i autoryzowanych)
połączeń ze zdalnymi maszynami.

%package apidocs
Summary:	API documentation for paramiko module
Summary(pl.UTF-8):	Dokumentacja API modułu paramiko
Group:		Documentation

%description apidocs
API documentation for paramiko module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu paramiko.

%prep
%setup -q -n %{module}-%{version}

find demos -name '*.py' -type f | xargs sed -i -e '1s|#!.*python.*|#!%{_bindir}/python|'

# Windows-specific modules, break tests by using Windows-specific ctypes API
%{__rm} paramiko/{win_pageant,_winapi}.py

%build
%if %{with python2}
%py_build
%{?with_tests:LC_ALL=C.UTF-8 %{__python} test.py}
%endif

%if %{with python3}
%py3_build
%{?with_tests:LC_ALL=C.UTF-8 %{__python3} test.py}
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%if %{with python2}
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a demos/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
%endif
%if %{with python3}
install -d $RPM_BUILD_ROOT%{_examplesdir}/python3-%{module}-%{version}
cp -a demos/* $RPM_BUILD_ROOT%{_examplesdir}/python3-%{module}-%{version}
find $RPM_BUILD_ROOT%{_examplesdir}/python3-%{module}-%{version} -name '*.py' \
	| xargs sed -i '1s|^#!.*python\b|#!%{__python3}|'
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc README.rst
%{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/%{module}-*.egg-info
%{_examplesdir}/%{name}-%{version}
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc README.rst
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/%{module}-%{version}-py*.egg-info
%{_examplesdir}/python3-%{module}-%{version}
%endif

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%doc docs/{_static,api,*.html,*.js}
%endif
%changelog
* Thu Dec 29 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-paramiko.git;a=log;h=auto/th/python-paramiko-2.0.1-3

* Wed Dec 28 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> c8bf13f
- python 3.6
- release 3 (by relup.sh)

* Thu Jun 30 2016 Mateusz Korniak <matkor@pld-linux.org> 1aba2e2
- Release 2. BR/R update.

* Thu Jun 30 2016 Mateusz Korniak <matkor@pld-linux.org> 00e2722
- 2.0.1-1. Still no progress with ecdsa-sha2-nistp256 keys.

* Thu Jun 30 2016 Mateusz Korniak <matkor@pld-linux.org> c3c2bf6
- Up to 1.17.1. For me it still does not work with ecdsa-sha2-nistp256 keys.

* Fri Mar 18 2016 Jakub Bogusz <qboosh@pld-linux.org> 8a9038f
- fixed tests, release 1

* Mon Feb 15 2016 Mateusz Korniak <matkor@pld-linux.org> bcdac54
- Up to 1.16.0. Builds, tests fail, not tested.

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 4b6e514
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 98a1863
- release 4 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 5c4f1ee
- automatic change: use py_build/py_install macros

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> b77f7fb
- python3.5 rebuild
- release 3 (by relup.sh)

* Sun Sep 13 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 49fd0f5
- python 3.5 rebuild
- release 2 (by relup.sh)

* Fri Nov 07 2014 Mateusz Korniak <matkor@pld-linux.org> 43d4f08
- Release 1. python3.

* Fri Nov 07 2014 Mateusz Korniak <matkor@pld-linux.org> 8d38b59
- Version 1.15.1. Builds.

* Thu Jan 24 2013 Elan Ruusamäe <glen@delfi.ee> f5d28ef
- up to 1.9.0, new home

* Thu Jan 24 2013 Elan Ruusamäe <glen@delfi.ee> dadd71f
- rebuild for fixed python eggs
- release 2 (by relup.sh)

* Wed May 25 2011 Łukasz Chrustek <lukasz@chrustek.net> f8796bb
- Up to 1.7.7.1

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> 756ecdd
- release 4

* Mon Oct 25 2010 Elan Ruusamäe <glen@pld-linux.org> 6058b12
- release 3

* Mon Oct 25 2010 Elan Ruusamäe <glen@pld-linux.org> 7980f65
- revert r1.14 - do package egg-info in %files, not in %doc

* Mon Oct 25 2010 Elan Ruusamäe <glen@pld-linux.org> 1ed3e12
- apidocs subpackage

